Components
List component sync manifests without source.
Returns live portable properties, versions and backend content digests for components and elements. Includes inactive components, excludes deleted components. Pages by component ID; source remains available from the existing component detail endpoint. ROLES: COMPONENT_READ,COMPONENT_WRITE,COMPONENT_ADMIN
GET
/
api
/
v1
/
component
/
sync-manifests
List component sync manifests without source.
curl --request GET \
--url https://api.revoengine.com/api/v1/component/sync-manifests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/sync-manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/sync-manifests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"type": "<string>",
"active": true,
"version": 123,
"metadata": {},
"elements": [
{
"componentElementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"desc": "<string>",
"order": 123,
"hidden": true,
"metadata": {}
}
]
}
],
"nextComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
Required range:
1 <= x <= 500Last component ID from the previous page.
Last modified on October 10, 2026
⌘I
List component sync manifests without source.
curl --request GET \
--url https://api.revoengine.com/api/v1/component/sync-manifests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/sync-manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/sync-manifests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"type": "<string>",
"active": true,
"version": 123,
"metadata": {},
"elements": [
{
"componentElementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"desc": "<string>",
"order": 123,
"hidden": true,
"metadata": {}
}
]
}
],
"nextComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
